"use strict";
/*---------------------------------------------------------------------------------------------
 * Copyright (c) Bentley Systems, Incorporated. All rights reserved.
 * See LICENSE.md in the project root for license terms and full copyright notice.
 *--------------------------------------------------------------------------------------------*/
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toaster = void 0;
require("./Toaster.module.scss");
const Toaster_1 = __importDefault(require("./Toaster"));
class ThemedToaster {
    constructor() {
        this._toaster = new Toaster_1.default();
    }
    error(localizedText, settings) {
        this._toaster.error(localizedText, settings);
    }
    success(localizedText, settings) {
        this._toaster.success(localizedText, settings);
    }
    info(localizedText, settings) {
        this._toaster.informational(localizedText, settings);
    }
    closeAll() {
        this._toaster.closeAll();
    }
}
exports.Toaster = new ThemedToaster();
//# sourceMappingURL=ThemedToaster.js.map